Subject: Offline Message from Aseel Aljuaid: I just contacted the shipping company (Sa
From: Zendesk Chat <[email-masked]>
To: [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked]
Date: Wed, 17 Jun 2020 10:50:33 -0000

From: Aseel Aljuaid <[email-masked]>
Phone: 
Location: Jeddah, Saudi Arabia
URL: https://saudi.mumzworld.com/sa-en/contact-us/
Department: 

I just contacted the shipping company (Saee) and they informed me that they did not receive my shipment ( OS01721049KS ) from you !!! Who I supposed to believe ? It is been 3 weeks and my shipment did not move a bit !! Actually I have 2 more pending shipments !! Carseat + wipes + feeding bottles ! Worst service ever. If you can not handle this amount of orders then stop accepting new orders from customers. Learn from NEXT stores they stop taking orders if the demands are high.  

----
Zopim
https://www.zopim.com